# 27. म्यूटेशन: "SoilDataset" से जुड़ा "Note" सहेजें

यह म्यूटेशन आपको निर्दिष्ट SoilDataset से एक नोट संलग्न करने की अनुमति देता है।

* एक नोट को इसके अद्वितीय पहचानकर्ता के माध्यम से फ़ील्ड से जोड़ा जा सकता है `fieldUuid` और संबंधित SoilDataset के साथ द्वारा `soilDatasetUuid`.
* नोट का निर्देशांक सेट करने के लिए उपयोग किया जा सकता है `centroid` एत्रिब्यूट, जिसके लिए परिभाषित की आवश्यकता होती है `latitude` और `longitude` मान।&#x20;
* नोट का प्रकार निर्दिष्ट किया जा सकता है उपयोग करके `प्रकार` एत्रिब्यूट जिसमें स्वीकार्य मान हैं `PLANNED` या `REAL`.&#x20;
* नोट का विवरण प्रदान किया जा सकता है उपयोग करके `comment` एत्रिब्यूट। यदि विवरण बहु-पंक्तियों में आवश्यक है, तो `comment` attribute में नई लाइन वर्णों के साथ एक स्ट्रिंग होनी चाहिए `\\n` पंक्तियों को अलग करने के लिए। उदाहरण के लिए: `"पहली पंक्ति यहाँ है\\nदूसरी पंक्ति यहाँ है\\nतीसरी पंक्ति यहाँ है."`.

नमूना अनुरोध नीचे दिए गए हैं:

```graphql
म्यूटेशन SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "SoilDataset से जुड़ा परीक्षण नोट",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    निर्माण_तिथि
    updatedDate
    प्रकार
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
म्यूटेशन SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "पहली पंक्ति यहाँ है\\nदूसरी पंक्ति यहाँ है।\\nतीसरी पंक्ति यहाँ है।",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    निर्माण_तिथि
    updatedDate
    प्रकार
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/notes-pins/27.-soildataset-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
